OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.SamplerObjects

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBSamplerObjects :: MonadIO m => m Bool
- gl_ARB_sampler_objects :: Bool
- pattern GL_SAMPLER_BINDING :: GLenum
- glBindSampler :: MonadIO m => GLuint -> GLuint -> m ()
- glDeleteSamplers :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glGenSamplers :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glGetSamplerParameterIiv :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glGetSamplerParameterIuiv :: MonadIO m => GLuint -> GLenum -> Ptr GLuint -> m ()
- glGetSamplerParameterfv :: MonadIO m => GLuint -> GLenum -> Ptr GLfloat -> m ()
- glGetSamplerParameteriv :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glIsSampler :: MonadIO m => GLuint -> m GLboolean
- glSamplerParameterIiv :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glSamplerParameterIuiv :: MonadIO m => GLuint -> GLenum -> Ptr GLuint -> m ()
- glSamplerParameterf :: MonadIO m => GLuint -> GLenum -> GLfloat -> m ()
- glSamplerParameterfv :: MonadIO m => GLuint -> GLenum -> Ptr GLfloat -> m ()
- glSamplerParameteri :: MonadIO m => GLuint -> GLenum -> GLint -> m ()
- glSamplerParameteriv :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()

# Extension Support

glGetARBSamplerObjects :: MonadIO m => m Bool Source #

Is the ARB_sampler_objects extension supported?

gl_ARB_sampler_objects :: Bool Source #

Is the ARB_sampler_objects extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBSamplerObjects` in those cases instead.

# Enums

pattern GL_SAMPLER_BINDING :: GLenum Source #

# Functions

glBindSampler Source #

Arguments

:: MonadIO m |
=> GLuint | `unit`.
-> GLuint | `sampler`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glDeleteSamplers Source #

Arguments

:: MonadIO m |
=> GLsizei | `count`.
-> Ptr GLuint | `samplers` pointing to `count` elements of type `GLuint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glGenSamplers Source #

Arguments

:: MonadIO m |
=> GLsizei | `count`.
-> Ptr GLuint | `samplers` pointing to `count` elements of type `GLuint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glGetSamplerParameterIiv Source #

Arguments

:: MonadIO m |
=> GLuint | `sampler`.
-> GLenum | `pname` of type SamplerParameterI.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glGetSamplerParameterIuiv Source #

Arguments

:: MonadIO m |
=> GLuint | `sampler`.
-> GLenum | `pname` of type SamplerParameterI.
-> Ptr GLuint | `params` pointing to `COMPSIZE(pname)` elements of type `GLuint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glGetSamplerParameterfv Source #

Arguments

:: MonadIO m |
=> GLuint | `sampler`.
-> GLenum | `pname` of type SamplerParameterF.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glGetSamplerParameteriv Source #

Arguments

:: MonadIO m |
=> GLuint | `sampler`.
-> GLenum | `pname` of type SamplerParameterI.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glIsSampler Source #

Arguments

:: MonadIO m |
=> GLuint | `sampler`.
-> m GLboolean | of type Boolean.

Manual pages for OpenGL 3.x or OpenGL 4.x.

glSamplerParameterIiv Source #

Arguments

:: MonadIO m |
=> GLuint | `sampler`.
-> GLenum | `pname` of type SamplerParameterI.
-> Ptr GLint | `param` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glSamplerParameterIuiv Source #

Arguments

:: MonadIO m |
=> GLuint | `sampler`.
-> GLenum | `pname` of type SamplerParameterI.
-> Ptr GLuint | `param` pointing to `COMPSIZE(pname)` elements of type `GLuint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glSamplerParameterf Source #

Arguments

:: MonadIO m |
=> GLuint | `sampler`.
-> GLenum | `pname` of type SamplerParameterF.
-> GLfloat | `param`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glSamplerParameterfv Source #

Arguments

:: MonadIO m |
=> GLuint | `sampler`.
-> GLenum | `pname` of type SamplerParameterF.
-> Ptr GLfloat | `param` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glSamplerParameteri Source #

Arguments

:: MonadIO m |
=> GLuint | `sampler`.
-> GLenum | `pname` of type SamplerParameterI.
-> GLint | `param`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glSamplerParameteriv Source #

Arguments

:: MonadIO m |
=> GLuint | `sampler`.
-> GLenum | `pname` of type SamplerParameterI.
-> Ptr GLint | `param` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.